API Explorer 936 endpoints

Add KYC Status

PUT /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/kyc_statuses

OBPv2.0.0-addKycStatus Roles: CanAddKycStatus(per bank) KYCCustomer

Add a kyc_status for the customer specified by CUSTOMER_ID. KYC Status is a timeline of the KYC status of the customer

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (4)
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
ok
false
Example request body
{
  "customer_number": "5987953",
  "ok": true,
  "date": "1100-01-01T00:00:00Z"
}
Example success response
{
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "ok": true,
  "date": "1100-01-01T00:00:00Z"
}
Possible errors (8)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-30111: Invalid Bank Id. The BANK_ID should only contain 0-9/a-z/A-Z/'-'/'.'/'_', the length should be smaller than 255.
  • OBP-50000: Unknown Error.
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-00004: Server error: could not add message
  • OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv2.0.0 addKycStatus Originally /obp/v2.0.0/banks/BANK_ID/customers/CUSTOMER_ID/kyc_statuses